echo -text "Installing CompactArc ..."

config -erase -domain PROC
invoke -entry awinst_remove_cfg_instances

copy -from $BOOTPATH/CARC.SYS -to CARC.SYS
copy -from $BOOTPATH/SERVICE.SYS -to SERVICE.SYS
copy -from $BOOTPATH/WELDPROG.PRG -to WELDPROG.PRG

text -filename $BOOTPATH/carc_txt.$LANG -package 0

echo -text "Select Power Source:"
echo -text ""
echo -text "If you want to use another"
echo -text "Power Source than RPA, choose OTHER"
setvar -var 10 -value 0
query -text "RPA400   OTHER                   " -var 10 -fk_text
if -var 10 -value 10 -label RPA400
if -var 10 -value 20 -label OTHER
#RPA400
echo -text "Installing I/O for RPA400"
config -filename $BOOTPATH/eio_rpa.cfg -domain EIO
goto -label STEP1
#OTHER
echo -text "Installing sim I/O for other power source"
config -filename $BOOTPATH/eio_carc.cfg -domain EIO
goto -label STEP1
#STEP1
config -filename $BOOTPATH/carc_aw.cfg -domain PROC
config -filename $BOOTPATH/carc_ext.cfg -domain PROC -internal
config -filename $BOOTPATH/carc_rul.cfg -domain MMC -internal
config -filename $BOOTPATH/carc_mmc.cfg -domain MMC
config -filename $BOOTPATH/carc_sys.cfg -domain SYS
config -filename $BOOTPATH/ext_d11a.cfg -domain MOC
